org.opencv.tracking

## Class MultiTracker

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.MultiTracker

-     public class MultiTracker
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MultiTracker()`
    `protected` | `MultiTracker(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiTracker` | `__fromPtr__(long addr)`
    `boolean` | `add(Tracker newTracker, Mat image, Rect2d boundingBox)`
    `static MultiTracker` | `create()`
    `protected void` | `finalize()`
    `MatOfRect2d` | `getObjects()`
    `boolean` | `update(Mat image, MatOfRect2d boundingBox)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTracker

          protected MultiTracker(long addr)

    - #### MultiTracker

          public MultiTracker()

  - ### Method Detail

    - #### __fromPtr__

          public static MultiTracker __fromPtr__(long addr)

    - #### create

          public static MultiTracker create()

    - #### add

          public boolean add(Tracker newTracker,
                             Mat image,
                             Rect2d boundingBox)

    - #### update

          public boolean update(Mat image,
                                MatOfRect2d boundingBox)

    - #### getObjects

          public MatOfRect2d getObjects()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3